// Zelimo da sortiramo vektor brojeva koristeci std::sort
#include <vector>
#include <iostream>
#include <algorithm>

int main(int argc, const char *argv[])
{   
    // Dodajemo brojeve u vektor
    std::vector<int> numbers;
    
    numbers.push_back(5);
    numbers.push_back(1);
    numbers.push_back(6);
    numbers.push_back(3);
    numbers.push_back(4);
    numbers.push_back(9);
    
    // Zelimo da sortiramo vektor
    std::sort(numbers.begin(), numbers.end());
    
    // Ispisujemo sadrzaj vektora
    // Posto ne menjamo sadrzaj vektora, mozemo da koristimo
    // const iteratore
    std::vector<int>::const_iterator i = numbers.cbegin();
    for (; i != numbers.cend(); i++) {
        std::cout << *i << std::endl;
    }
    
    return 0;
}

