// Zelimo da sortiramo vektor brojeva koristeci std::sort
#include <vector>
#include <iostream>
#include <algorithm>
#include <iterator>

int main(int argc, const char *argv[])
{   
    // Dodajemo brojeve u vektor
    std::vector<int> numbers;
    
    // Da probamo i da ucitamo elemente vektora na isti nacin?
    numbers.push_back(5);
    numbers.push_back(1);
    numbers.push_back(6);
    numbers.push_back(3);
    numbers.push_back(9);
    numbers.push_back(4);
    
    // Zelimo da sortiramo vektor, osim prvog i poslednjeg elementa
    std::sort(numbers.begin() + 1, numbers.end() - 1);
    
    // Ispisujemo sadrzaj vektora koristeci std::copy
    // (tek radi primera)
    std::copy(numbers.cbegin(), numbers.cend(), std::ostream_iterator<int>(std::cout, " - "));

    // Ispisujemo sadrzaj vektora, ali u obrnutom redosledu
    std::copy(numbers.crbegin(), numbers.crend(), std::ostream_iterator<int>(std::cout, " - "));
    
    return 0;
}

