// Zelimo da sortiramo listu brojeva koristeci std::sort
#include <list>
#include <iostream>

int main(int argc, const char *argv[])
{
    // Dodajemo brojeve u listu
    std::list<int> numbers;

    numbers.push_back(5);
    numbers.push_back(1);
    numbers.push_back(6);
    numbers.push_back(3);
    numbers.push_back(4);
    numbers.push_back(9);

    // Ispisujemo sadrzaj liste
    // Posto ne menjamo sadrzaj liste, mozemo da koristimo
    // const iteratore
    std::list<int>::const_iterator i = numbers.cbegin();
    for (; i != numbers.cend(); i++) {
        (*i) ++; // Dobijamo poruku o gresci jer pokusavamo da promenimo sadrzaj
        std::cout << *i << std::endl;
    }
    
    return 0;
}

