// vim: set undofile:
// Program: average

#include <vector>
#include <iostream>
#include <algorithm>
#include <complex>

int main(int argc, const char *argv[])
{
    // Niz u kome pamtimo brojeve koje citamo sa standardnog ulaza
    std::vector<std::complex<double>> numbers;

    std::complex<double> number;

    // Citamo sve dok je ulaz validan
    while (std::cin >> number) {
        // Dodajemo ga u niz
        numbers.push_back(number);
    }

    // Racunamo i ispisujemo aritmeticku sredinu brojeva u nizu
    std::cout << std::accumulate(
            numbers.begin(), numbers.end(), // Interval
            std::complex<double>(0, 0)      // Inicijalna vrednost za sabiranje (0, 0)
        ) / (double) numbers.size() << std::endl;

    return 0;
}

